StrongReferenceSet (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.industry

## Class StrongReferenceSet

- java.lang.Object
- - tv.amwa.maj.industry.StrongReferenceSet

-     public class StrongReferenceSet
      extends Object

  Utilities for manipulating media entities stored in a strong reference set. These static methods ensure a consistent approach to managing elements of a set through add, remove and contains operations.

  See Also:
    `StrongReferenceVector`, `WeakReferenceSet`, `TypeDefinitionSet`, `TypeDefinitionStrongObjectReference`

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <T extends MediaEntity> void` | `add(Set<T> set, T item)`
    `static <T extends MediaEntity> boolean` | `contains(Set<T> set, T item)`
    `static <T extends MediaEntity> Set<T>` | `getOptionalSet(Set<T> set)`
    `static <T extends MediaEntity> Set<T>` | `getRequiredSet(Set<T> set)`
    `static <T extends MediaEntity> boolean` | `remove(Set<T> set, T item)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### add

          public static final <T extends MediaEntity> void add(Set<T> set,
                                                               T item)
                                                        throws NullPointerException

      Throws:
        `NullPointerException`

    - #### contains

          public static final <T extends MediaEntity> boolean contains(Set<T> set,
                                                                       T item)
                                                                throws NullPointerException

      Throws:
        `NullPointerException`

    - #### remove

          public static final <T extends MediaEntity> boolean remove(Set<T> set,
                                                                     T item)
                                                              throws NullPointerException

      Throws:
        `NullPointerException`

    - #### getOptionalSet

          public static final <T extends MediaEntity> Set<T> getOptionalSet(Set<T> set)
                                                                     throws PropertyNotPresentException

      Throws:
        `PropertyNotPresentException`

    - #### getRequiredSet

          public static final <T extends MediaEntity> Set<T> getRequiredSet(Set<T> set)

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.